Azure Kubernetes Service
- POST
- /workspaces
- /:workspace
- /targets
Create a new Azure Kubernetes Service deployment target
Request
REQUIRED SCOPES
TARGET_WRITE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspaceExample: "my-company"
BODY PARAMETERS
typestring
The type of the targetValue: AKS
identifierrequiredstring
A human-readable ID. Alphanumeric characters, underscores, and hyphens (hyphens cannot appear at the start or end).integrationrequiredstring
The integration. Required when adding GKE/EKS/AKS/DOKSclusterrequiredstring
The ID of the cluster or fully qualified identifier for the clustersubscriptionrequiredstring
Type of AKS subscriptionresource_grouprequiredstring
Azure resource group containing the AKS clusteridstring
The ID of the targetnamestring
The name of the targetprojectShortProjectView
Short representation of a projectpipelineShortPipelineView
Short representation of a pipelineenvironmentShortEnvironmentView
Short representation of an environment objectpermissionsPermissionsView
Access permissions configurationpipelines_access_levelstring enum
Pipelines access level for this targetAllowed enum:
DENIED,READ_ONLY,USE_ONLY,BLIND,RUN_ONLY,READ_WRITE,MANAGE,DEFAULT,ALLOWED,STAGE,COMMITallowed_pipelinesAllowedPipelineView[]
List of specific pipelines allowed to use this targetsandboxes_access_levelstring enum
Sandboxes access level for this targetAllowed enum:
DENIED,READ_ONLY,USE_ONLY,BLIND,RUN_ONLY,READ_WRITE,MANAGE,DEFAULT,ALLOWED,STAGE,COMMITallowed_sandboxesAllowedSandboxView[]
List of specific sandboxes allowed to use this targetdisabledboolean
Indicates if this target is disabled (default: false)tagsstring[]
The list of tags associated with the targetConstraints: Unique items required
use_asUseAsView
Defines how the target can be used (as deployment target, proxy, or both)notestring
Note for this resourceagent_notestring
YAML note for AI agents operating on this resourceregionstring
Cloud region of the cluster, e.g. eu-central-1 (EKS), us-central1 (GKE), eastus (AKS), nyc1 (DOKS)proxyTargetK8sProxyView
SSH proxy target for tunneling to private MSSQL serversResponse
RESPONSE BODY
typestring
The type of the targetValue: AKS
urlread-onlystring
API endpoint to GET this objecthtml_urlread-onlystring
Web URL to view this object in Buddy.worksidstring
The ID of the targetidentifierrequiredstring
A human-readable ID. Alphanumeric characters, underscores, and hyphens (hyphens cannot appear at the start or end).namestring
The name of the targetprojectShortProjectView
Short representation of a projectpipelineShortPipelineView
Short representation of a pipelineenvironmentShortEnvironmentView
Short representation of an environment objectpermissionsPermissionsView
Access permissions configurationpipelines_access_levelstring enum
Pipelines access level for this targetAllowed enum:
DENIED,READ_ONLY,USE_ONLY,BLIND,RUN_ONLY,READ_WRITE,MANAGE,DEFAULT,ALLOWED,STAGE,COMMITallowed_pipelinesAllowedPipelineView[]
List of specific pipelines allowed to use this targetsandboxes_access_levelstring enum
Sandboxes access level for this targetAllowed enum:
DENIED,READ_ONLY,USE_ONLY,BLIND,RUN_ONLY,READ_WRITE,MANAGE,DEFAULT,ALLOWED,STAGE,COMMITallowed_sandboxesAllowedSandboxView[]
List of specific sandboxes allowed to use this targetdisabledboolean
Indicates if this target is disabled (default: false)tagsstring[]
The list of tags associated with the targetConstraints: Unique items required
use_asUseAsView
Defines how the target can be used (as deployment target, proxy, or both)notestring
Note for this resourceagent_notestring
YAML note for AI agents operating on this resourceintegrationrequiredstring
The integration. Required when adding GKE/EKS/AKS/DOKSclusterrequiredstring
The ID of the cluster or fully qualified identifier for the clusterregionstring
Cloud region of the cluster, e.g. eu-central-1 (EKS), us-central1 (GKE), eastus (AKS), nyc1 (DOKS)proxyTargetK8sProxyView
SSH proxy target for tunneling to private MSSQL serverssubscriptionrequiredstring
Type of AKS subscriptionresource_grouprequiredstring
Azure resource group containing the AKS clusterLast modified on Aug 24, 2026
Request example
curl -X POST "https://api.buddy.works/workspaces/:workspace/targets" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"type": "AKS",
"identifier": "aks-development",
"name": "AKS Development Cluster",
"integration": "azure-integration",
"cluster": "dev-cluster",
"region": "eastus",
"subscription": "12345678-1234-1234-1234-123456789012",
"resource_group": "dev-resource-group",
"tags": [
"kubernetes",
"azure",
"development"
]
}'STATUS201 Created